Subject: Re: [PATCH] netlink: downgrade warning about leftover bytes to debug level

From: Nicolas Dichtel <[email-masked]>
Date: Wed, 28 May 2014 14:47:33 +0200

Le 28/05/2014 11:18, Michal Schmidt a écrit :
> On 05/28/2014 09:42 AM, Nicolas Dichtel wrote:
>> Le 27/05/2014 15:16, Michal Schmidt a écrit :
>>> Any process is able to send netlink messages with leftover bytes, so
>>> downgrade the warning message to pr_debug in order to avoid possible
>>> kernel log spam.
>> Yes, but that's not a normal case. I think that the level warning is good,
>> there is something wrong with this kind of messages.
>
> As an alternative we could at least guard it with net_ratelimit().
I would prefer this solution.

>
> But still, the message indicates a userspace bug. It can be useful
> for a developer of a netlink library, but not for many more.
Or to let you know why a userspace tool does not work ;-)

> I think it's odd to let unprivileged userspace spam the dmesg,
> even if rate-limited. The kernel does not emit warning messages when
> userspace is buggy in other ways, like calling syscalls with invalid
> arguments.
If it's really a problem (this message is here since 2.6.15 and nobody
complains), maybe a level between warning and debug may be acceptable.

Regards,
Nicolas